Name:           clamsmtp
Version:       1.10 
Release:        1%{?dist}
Summary:        SMTP filter

Group:          System Environment/Daemons
License:        BSD
URL:            http://memberwebs.com/nielsen/software/clamsmtp/
Source0:        http://memberwebs.com/nielsen/software/clamsmtp/%{name}-%{version}.tar.gz
Source1: clamsmtpd.init
Source2:                clamsmtpd.conf
Source3:                clamsmtpd.sysconf
Source4:                clamsmtp-clamd.sysconfig
Source5:                clamsmtp-clamd.logrotate
Source6:                clamsmtp-clamd.init
Source7:                clamsmtp-clamd.conf
Patch1: clamsmtpd-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake
Requires(post):         chkconfig
Requires(preun):        chkconfig
Requires(preun):        initscripts
Requires:       clamav

%description
ClamSMTP is an SMTP filter that checks for viruses using ClamAV.
It aims to be lightweight, reliable, and simple


%prep
%setup -q

%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/clamd.d
mkdir -p $RPM_BUILD_ROOT%{_var}/run/clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_var}/log/clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/clamsmtp

#
%{__strip} %{buildroot}%{_sbindir}/clamsmtpd
%{__install} -d %{buildroot}%{_initrddir}/
%{__install} %{SOURCE1} %{buildroot}%{_initrddir}/clamsmtpd
#
%{__install} %{SOURCE2} %{buildroot}%{_sysconfdir}/clamsmtpd.conf
%{__install} %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/clamsmtpd
%{__install} %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/clamd.clamsmtp
%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/clamsmtp
%{__install} %{SOURCE6} %{buildroot}%{_initrddir}/clamd-clamsmtp
%{__install} %{SOURCE7} %{buildroot}%{_sysconfdir}/clamd.d/clamsmtp.conf
#
%{__install} doc/clamsmtpd.conf %{buildroot}%{_sysconfdir}/clamsmtpd.conf


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clamsmtpd
#
/sbin/chkconfig --add clamd-clamsmtp

#

%preun
if [ $1 -eq 0 ]; then
/sbin/service clamsmtpd stop > /dev/null 2>&1 || :
/sbin/chkconfig --del clamsmtpd
#
/sbin/service clamd.clamsmtp stop &>/dev/null || :
/sbin/chkconfig --del clamd-clamsmtp
#
fi

%postun
/sbin/service %{name} condrestart &>/dev/null || :

#
%pre
getent passwd clamsmtp >/dev/null || useradd -r -g mail -d /var/lib/clamsmtp -s /sbin/nologin -c 'User to own clamsmtp directories and default processes' clamsmtp
exit 0
#

%files
%defattr(-,root,root,-)
%doc README 
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamsmtpd.conf
#
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/logrotate.d/clamsmtp
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamd.d/clamsmtp.conf
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/sysconfig/clamsmtpd
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/sysconfig/clamd.clamsmtp

#
%{_initrddir}/clamsmtpd
#
%{_initrddir}/clamd-clamsmtp
#
%{_sbindir}/clamsmtpd
#
%attr(755,clamsmtp,mail) %{_var}/lib/clamsmtp
%attr(755,clamsmtp,mail) %{_var}/log/clamsmtp
%attr(755,clamsmtp,mail) %{_var}/run/clamsmtp
#
%{_mandir}/man5/clamsmtpd.conf.5*
%{_mandir}/man8/clamsmtpd.8*



%changelog
*Tue  Jan 26 2010 Andres Pascasio <morpheusv@gmail.com> - 1.10-1
- Added Elements incorporated by suggestion and contribution of Nathanael Noblet <nathanael@gnat.ca>

* Sat Jan 2 2010 Andres Pascasio <morpheusv@gmail.com> - 1.10-1
- First Fedora spec compliant version, several modifications
